The order of the upgrades does not matter.

For example:

If interfacing The Raiser's Edge 7.5 with The Financial Edge 7.1 (both ASA versions), and The Raiser's Edge is upgraded to version 7.6 (SQL Server), then The Financial Edge must also be upgraded to version 7.21 (SQL Server) in order for the interface to work.